# class ClientFile | A file. More...
Full name | `TelEngine::ClientFile`
Definition | `#include <yatecbase.h>`
Inherits | TelEngine::ClientFileItem [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline ClientFile (const char* name, const NamedList* params = 0)
- inline ClientFile (const ClientFile& other)
- inline NamedList& params ()
- inline const NamedList& params () const
- virtual ClientFile* file ()

#### Protected Members

- NamedList m_params

## Detailed Description

This class holds file info

inline ClientFile (const char* name, const NamedList* params = 0) | ### ClientFile

Constructor

Parameters:

name | File name
params | Optional file parameters

inline ClientFile (const ClientFile& other) | ### ClientFile

Copy constructor

Parameters:

other | Source object

inline NamedList& params () | ### params

Retrieve item parameters

Returns: Item parameters

inline const NamedList& params () | ### params

[const]

Retrieve item parameters

Returns: Item parameters

ClientFile* file () | ### file

[virtual]

Check if this item is a file

Returns: ClientFile pointer

Reimplemented from ClientFileItem.

NamedList m_params | ### m_params

[protected]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.